Class Overview
Constants for the groups table. Only per-account groups are supported.
Columns
| Groups |
| long |
_ID |
read-only |
Row ID. Sync adapter should try to preserve row IDs during updates.
In other words, it would be a really bad idea to delete and reinsert a
group. A sync adapter should always do an update instead. |
| String |
TITLE |
read/write |
The display title of this group. |
| String |
NOTES |
read/write |
Notes about the group. |
| String |
SYSTEM_ID |
read/write |
The ID of this group if it is a System Group, i.e. a group that has a
special meaning to the sync adapter, null otherwise. |
| int |
SUMMARY_COUNT |
read-only |
The total number of Contacts that have
ContactsContract.CommonDataKinds.GroupMembership in this group. Read-only value
that is only present when querying CONTENT_SUMMARY_URI. |
| int |
SUMMARY_WITH_PHONES |
read-only |
The total number of Contacts that have both
ContactsContract.CommonDataKinds.GroupMembership in this group, and also have
phone numbers. Read-only value that is only present when querying
CONTENT_SUMMARY_URI. |
| int |
GROUP_VISIBLE |
read-only |
Flag indicating if the contacts belonging to this group should be
visible in any user interface. Allowed values: 0 and 1. |
| int |
DELETED |
read/write |
The "deleted" flag: "0" by default, "1" if the row has been marked
for deletion. When delete(Uri, String, String[]) is
called on a group, it is marked for deletion. The sync adaptor deletes
the group on the server and then calls ContactResolver.delete once more,
this time setting the the CALLER_IS_SYNCADAPTER
query parameter to finalize the data removal. |
| int |
SHOULD_SYNC |
read/write |
Whether this group should be synced if the SYNC_EVERYTHING settings
is false for this group's account. |
Summary
|
[Expand]
Inherited Methods |
From class
java.lang.Object
|
Object
|
clone()
Creates and returns a copy of this Object.
|
|
boolean
|
equals(Object o)
Compares this instance with the specified object and indicates if they
are equal.
|
|
void
|
finalize()
Called before the object's memory is reclaimed by the VM.
|
|
final
Class<?>
|
getClass()
Returns the unique instance of Class that represents this
object's class.
|
|
int
|
hashCode()
Returns an integer hash code for this object.
|
|
final
void
|
notify()
Causes a thread which is waiting on this object's monitor (by means of
calling one of the wait() methods) to be woken up.
|
|
final
void
|
notifyAll()
Causes all threads which are waiting on this object's monitor (by means
of calling one of the wait() methods) to be woken up.
|
|
String
|
toString()
Returns a string containing a concise, human-readable description of this
object.
|
|
final
void
|
wait()
Causes the calling thread to wait until another thread calls the notify() or notifyAll() method of this object.
|
|
final
void
|
wait(long millis, int nanos)
Causes the calling thread to wait until another thread calls the notify() or notifyAll() method of this object or until the
specified timeout expires.
|
|
final
void
|
wait(long millis)
Causes the calling thread to wait until another thread calls the notify() or notifyAll() method of this object or until the
specified timeout expires.
|
|
Constants
public
static
final
String
CONTENT_ITEM_TYPE
The MIME type of a single group.
Constant Value:
"vnd.android.cursor.item/group"
public
static
final
String
CONTENT_TYPE
The MIME type of a directory of groups.
Constant Value:
"vnd.android.cursor.dir/group"
Fields
public
static
final
Uri
CONTENT_SUMMARY_URI
public
static
final
Uri
CONTENT_URI
The content:// style URI for this table
Public Methods